<div class="wrap-modal">
    <!-- Modal content -->
    <div class="modal-content">
        <div class="modal-header">
            <h2>{{alert?.title | translate}}</h2>
        </div>
        <div class="modal-body">
            <p>{{alert?.message | translate}}</p>
            <div class="form" *ngIf="show_input">
                <input (keyup)="key(text.value)" #text type="text">
            </div>
        </div>
        <div class="modal-footer">
            <button *ngIf="alert?.mode == CrudType.CLOSE" (click)="close()">
                {{ 'UTILS.CLOSE' | translate }}
            </button>
            <button *ngIf="alert?.mode ==CrudType.CONFIRM"  (click)="close()">
                {{ 'UTILS.CANCEL' | translate }}
            </button>
            <button *ngIf="alert?.mode == CrudType.SAVE || alert?.mode == CrudType.CONFIRM" (click)="save()">
                {{ 'UTILS.SAVE' | translate }}
            </button>
            <button *ngIf="alert?.mode == CrudType.SUCCESS" (click)="success()">
                {{ 'UTILS.OK' | translate }}
            </button>
        </div>
    </div>

</div>